﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int playerScore;
        int movingTimerInterval;

        private void button1_Click(object sender, EventArgs e)
        {
            playerScore = playerScore + 1;

            buttonMove.Stop();

            if (movingTimerInterval >= 200)
            {
                 movingTimerInterval = movingTimerInterval - 100;
            }


            Random myRandom = new Random();
            Point ptRandom = new Point(myRandom.Next(0, ClientSize.Width - button1.Width), myRandom.Next(0, ClientSize.Height - button1.Height));
            button1.Location = ptRandom;
            
            buttonMove.Start();
            buttonMove.Interval = movingTimerInterval;
        }

        public void btnStart_Click(object sender, EventArgs e)
        {
            movingTimerInterval = 1000;


            if (radioEasy.Checked == true)
            {
                this.Width = 400;
                this.Height = 300;
                
            }

            else if (radioMed.Checked == true)
            {
                this.Width = 620;
                this.Height = 480;
            }

            else if (radioHard.Checked == true)
            {
                this.Width = 1100;
                this.Height = 700;
            }

            else if (radioVery.Checked == true)
            {
                this.Width = 1440;
                this.Height = 870;
            }

            this.SetDesktopLocation(0, 0);

            radioEasy.Visible = false;
            radioMed.Visible = false;
            radioHard.Visible = false;
            radioVery.Visible = false;

            timerGame.Start();
            buttonMove.Interval = 1000;
            buttonMove.Start();
            btnStart.Visible = false;
            label1.Visible = false;
            button1.Visible = true;

        }

          string scoreMessage;

        private void timerGame_Tick(object sender, EventArgs e)
        {
            timerGame.Stop();
            buttonMove.Stop();

          

            if(playerScore <=5)
            {
                scoreMessage = "You Stink. Try Again.";
            }
            else if(playerScore >= 6 && playerScore <= 10)
            {
                scoreMessage = "Not too bad.";
            }
            else if(playerScore >= 11 && playerScore <= 15)
            {
                scoreMessage = "Pretty Good.";
            }
            else if(playerScore >15)
            {
                scoreMessage = "Amazing.";
            }    
               
            MessageBox.Show("You clicked the button " + playerScore + " times. " + scoreMessage, "Your score.", MessageBoxButtons.OK, MessageBoxIcon.Asterisk);
            Application.Exit();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            playerScore = 0;
            button1.Visible = false;

            radioMed.Checked = true;
            
        }

        

        private void buttonMove_Tick(object sender, EventArgs e)
        {
            Random myRandom = new Random();
            Point ptRandom = new Point(myRandom.Next(0, ClientSize.Width - button1.Width), myRandom.Next(0, ClientSize.Height - button1.Height));

            button1.Location = ptRandom;
        }

        private void button2_Click(object sender, EventArgs e)
        {

        }


       // private void button2_Click(object sender, EventArgs e)
        //{
        //    MessageBox.Show(movingTimerInterval.ToString());
        //}
    }
}
